.roboto-700 {
  font-family: "Roboto", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  font-variation-settings: "wdth" 100;
}

.noto-serif-400 {
  font-family: "Noto Serif", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-variation-settings: "wdth" 100;
}

.material-symbols-outlined {
  font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 24;
}

.can-hover {
  cursor: pointer;
}

.main-nav {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  justify-items: baseline;
  height: auto;
  width: 100%;
}

.header {
  border-bottom: 1px solid #ccc;
  background-color: #f3f3f3;
  position: fixed;
  width: 100%;
  margin-bottom: 80px;
  height: 50px;
}

.footer {
  height: 50px;
}

.article-head {
  margin: 0;
  margin-bottom: 0.2em;
}
.box-shadow {
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}

.article-list {
  width: 50%;
  margin: auto;
}

.article-list-item {
  border: 1px solid #ccc;
  margin-top: 1em;
  padding: 1.5em;
  background-color: #fff;
  border-radius: 0.3em;
}

.nav-items {
  display: flex;
  justify-content: space-evenly;
  & > * {
    text-decoration: none;
    /* text-transform: uppercase; */
  }
}

.logo {
  font-size: 1.4em;
}

.no-link {
  text-decoration: none;
  color: #800000;
  &:visited,
  &:active,
  &:hover {
    color: #800000;
  }
}

.pag-nav {
  margin-top: 2em;
}

.container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.content {
  flex: 1;
}

.footer {
  border-top: 1px solid #ccc;
  padding: 0;
  width: 100%;
  bottom: 0;
  color: #800000;
}

code {
  overflow-x: scroll !important;
  width: 80%;
}

.projects {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
}

.project-item {
  background-color: #f3f3f3;
  padding: 1.5em;
}

.project-item h3 {
  color: #800000;
}

.project-info {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.project-info > span {
  border: 1px solid #ccc;
  border-radius: 2px;
  width: 40%;
  text-align: center;
  background-color: #ddd;
}

.code-row {
  display: flex;
  padding: 1em;
  margin: auto;
  background-color: #000;
}

.h1js {
  background-color: #000 !important;
  padding-right: 2em !important;
}

.code-content {
  flex: 15;
  margin-top: -20px !important;
  display: block;
}

.code-copy {
  flex: 1;
  padding: 1em;
}

.float-end {
  float: right;
}

.copy-btn {
  border: none;
}

.dark-icon {
  background-color: #000;
  color: #fff;
  &:hover {
    cursor: pointer;
  }
}

pre code.hljs {
  padding: 0 !important;
  line-height: 1.5em !important;
  background-color: #000;
  color: #fff;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  padding: 0;
  margin: 0;
  height: 100%;
  background-color: #ddd;
}

.article {
  display: grid;
  grid-template-columns: 2fr 8fr;
  margin: 0;
}

.article p {
  padding: 0 40px;
  padding-right: 40px;
}

.article > div {
  padding: 0;
}

.article-content {
  max-height: calc(100vh - 100px);
  overflow-y: scroll;
}

.article-nav nav > * {
  margin: 0;
}

.article-nav nav ul {
  margin: 0;
  margin-left: 0.5em;
  list-style: circle;
  padding: 0;
  padding-left: 0.5em;
}

.article-nav nav ul li {
  padding-left: 0.2em;
  padding-right: 0.2em;
}

.article-nav nav ul a {
  text-decoration: none;
  color: #000;
}
.article-nav nav ul a:visited {
  color: #000;
}

.article-nav nav ul a:hover {
  color: #800000;
  text-decoration: underline;
}

.home-content div {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.home-content div > p {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 3em;
  border: 1px solid #ccc;
  border-radius: 5px;
  background-color: #f3f3f3;
}

.home-content a:hover,
.project-info a:hover {
  text-decoration: underline;
}

.home-content > h1 {
  text-align: center;
  font-size: 8em;
  color: #800000;
}

.line-style {
  width: 60%;
  text-align: center;
  height: 1px;
  color: #ccc;
}

.about {
  width: 50%;
  margin: auto;
}

.about > h1 {
  color: #800000;
}

@media screen and (max-width: 600px) {
  body {
    margin: 0;
  }

  .article-head {
    font-size: 1.2em;
  }

  .paragraph-head {
    font-size: 1.1em;
  }

  .content {
    font-size: 1.1em;
    line-height: 1.7em;
  }

  .show-main-nav {
    display: none;
  }

  .header,
  .content,
  .footer {
    padding: 0.5em 1em 0.2em 1em;
    margin: 0;
  }

  .non-mobile {
    display: none;
  }

  .close-mobile-nav {
    position: absolute;
    top: 10px;
    right: 10px;
    color: #fff;
    background-color: #800000;
  }

  .nav-items {
    position: absolute;
    flex-direction: column;
    width: 45%;
    right: 0px;
    top: 0px;
    padding-left: 10px;
    padding-top: 40px;
    padding-bottom: 10px;
    margin-left: 0px;
    background-color: #800000;
    height: auto;
    justify-content: flex-start;
  }

  .nav-items a {
    padding: 5px;
    width: 100%;
    color: #fff;
  }

  .article {
    grid-template-columns: 12fr;
  }

  body {
    overflow-y: hidden;
  }

  .nav-items a:hover {
    background-color: #fff;
    color: #800000;
    font-weight: bold;
    border-bottom: 1px solid #000;
  }

  .home-content > h1 {
    font-size: 3em;
  }

  .home-content div {
    flex-direction: column;
  }

  .home-content div > p {
    padding: 3em;
  }

  .projects {
    grid-template-columns: 1fr;
  }

  .about {
    width: 100%;
  }

  .article-list {
    width: 100%;
  }
}

@media screen and (min-width: 601px) and (max-width: 1280px) {
  .mobile-only {
    display: none;
  }

  .code-row {
    width: 80%;
    overflow-x: scroll;
  }

  .article-head {
    font-size: 1.3em;
  }

  .paragraph-head {
    font-size: 1.2em;
  }

  .content {
    font-size: 1.2em;
    line-height: 1.7em;
  }

  .hide {
    display: none;
  }

  .header,
  .content,
  .footer {
    padding: 1em 50px 0.2em 50px;
    margin: 0;
  }

  .article {
    grid-template-columns: 4fr 8fr;
  }

  .nav-items > * {
    margin-left: 10px;
    color: #800000;
    &:hover {
      text-decoration: underline;
    }
  }

  .home-content > h1 {
    font-size: 4em;
  }

  .home-content div {
    flex-direction: row;
  }

  .home-content div > p {
    padding: 2em;
  }

  .projects {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media screen and (min-width: 1281px) {
  .mobile-only,
  .tablet-only {
    display: none;
  }

  .article-head {
    font-size: 1.5em;
  }

  .paragraph-head {
    font-size: 1.4em;
  }

  .code-row {
    width: 80%;
  }

  .header,
  .content,
  .footer {
    padding: 1em 80px 0.2em 80px;
    margin: 0;
  }

  .content {
    font-size: 1.4em;
    line-height: 2em;
    width: 100%;
  }

  .article {
    grid-template-columns: 3fr 8fr;
  }

  .nav-items > * {
    margin-left: 10px;
    color: #800000;
    &:hover {
      text-decoration: underline;
    }
  }

  .home-content > h1 {
    font-size: 6em;
  }

  .home-content div {
    flex-direction: row;
  }

  .home-content div > p {
    padding: 2em;
  }
}

.content {
  margin-top: 50px;
  text-align: justify;
}

.paragraph-head {
  margin: 0;
}
